Subject: Re: [musl] Powerpc Linux 'scv' system call ABI proposal take 2

From: Szabolcs Nagy <[email-masked]>
Date: Thu, 16 Apr 2020 11:58:00 +0200

* Nicholas Piggin via Libc-alpha <[email-masked]> [2020-04-16 10:16:54 +1000]:
> Well it would have to test HWCAP and patch in or branch to two 
> completely different sequences including register save/restores yes.
> You could have the same asm and matching clobbers to put the sequence
> inline and then you could patch the one sc/scv instruction I suppose.

how would that 'patch' work?

there are many reasons why you don't
want libc to write its .text